#include<stdio.h>
#include<stdlib.h> // Se suele emplear para memoria dinámica

/*
Ejercicio 2:
Sobre un array de números enteros de dimensión 10 se pide:
- cargar el array de números pero por cada número introducido 
se debe comprobar que no está ya contenido en el array.*
*/

#define TAM 10

int main(){

    int vector[TAM];
    int i, j, repetido;

//    for (i=0; i<TAM; i++){
//        printf("\nIntroduce un valor al array: ");
//        scanf("%d", &vector[i]);
//        if(vector[i]==vector[i-1]||vector[i]==vector[i-2]||vector[i]==vector[i-3]||vector[i]==vector[i-4]||vector[i]==vector[i-5]||vector[i]==vector[i-6]||vector[i]==vector[i-7]||vector[i]==vector[i-8]||vector[i]==vector[i-9]){
//            printf("\nEs un valor repetido, vuelve a intentarlo.");
//            i=i-1;
//        }
//    }

// Corregido
    for (i=0; i<TAM; i++){

        do{
            printf("\nIntroduce un valor al array del elemento %d: ",i);
            scanf("%d", &vector[i]);

            repetido=0;  // Hay que darle valor al flag justo antes de comprobar
            for (j=0; j<i; j++){

                if(vector[j]==vector[i]){
                    repetido=1;
                    printf("\nEs un valor repetido, vuelve a intentarlo.");

                }
            }

        } while(repetido==1);
    }



// Mostrar el resultado
    printf("\nLos valores del array son:\n");
    for(i=0; i<TAM; i++){
        printf("%d ", vector[i]);
    }

    printf("\n");

}
